Bug 870313 - RFE: have abrt replace sealert
RFE: have abrt replace sealert
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On: 870224
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 03:01 EDT by Miroslav Grepl
Modified: 2017-12-06 07:15 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 870224
Environment:
Last Closed: 2017-12-06 07:15:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Grepl 2012-10-26 03:01:19 EDT
+++ This bug was initially created as a clone of Bug #870224 +++

sealert gets the job done, but it's crufty and fugly. all it really does is slap some UI over the setroubleshoot output AFAICT, so probably straightforward for an abrt addon to just supply the sealert dbus interface and go from there.

--- Additional comment from jmoskovc@redhat.com on 2012-10-26 02:45:26 EDT ---

We're planning to do it for F19
Comment 1 Daniel Walsh 2012-10-26 14:16:04 EDT
My concern with this is we begin to treat every AVC as if it is a bug, when a lot of them are just user problems.  The goal of setroubleshoot was to instruct the admin how to fix his system as opposed to reporting a bugzilla. 

The goal of the UI was to get the user to read the description and run restorecon or turn on a boolean, not report a bug, so we have to tell them to run restorecon or set a boolean.
Comment 2 Jiri Moskovcak 2012-10-29 03:57:08 EDT
ABRT can still show the window with with the recommendations how to fix the problem before reporting it. By integration we only mean using the same notification icon and have abrt-gui to show the AVC instead of the current avc browser.
Comment 3 Daniel Walsh 2012-10-30 16:01:51 EDT
We do not want it to be reported if it is a configuration problem.  That is the point.
Comment 4 Jiri Moskovcak 2012-10-31 03:18:57 EDT
Ok, to make it clear - we only want the AVCs to show in ABRT, so all "problems" can be found at one place, the rest of the process should stay the same - so if anyone clicks on AVC in ABRT the current setroubleshoot window will appear guiding user thru the fixing or reporting as it is now. Only the entry point (notification, gui and cli(if possible)) will be the same. It will still take user thru the path where he can find the suggested fixes or decide to report it - as it is now.
Comment 5 Daniel Walsh 2012-10-31 06:58:07 EDT
I have no problem with that.
Comment 6 Petr Lautrbach 2017-11-23 03:43:44 EST
Is this still valid?
Comment 7 Lukas Vrabec 2017-12-06 07:07:15 EST
No.

Note You need to log in before you can comment on or make changes to this bug.